*** a/src/backend/partitioning/partbounds.c
--- b/src/backend/partitioning/partbounds.c
***************
*** 360,368 **** create_list_bounds(PartitionBoundSpec **boundspecs, int nparts,
  			else
  			{
  				/*
! 				 * Never put a null into the values array, flag instead for
! 				 * the code further down below where we construct the actual
! 				 * relcache struct.
  				 */
  				if (null_index != -1)
  					elog(ERROR, "found null more than once");
--- 360,367 ----
  			else
  			{
  				/*
! 				 * Never put a null into the values array; save the index of
! 				 * the partition the null comes from, instead.
  				 */
  				if (null_index != -1)
  					elog(ERROR, "found null more than once");
